# mongoc_gridfs_get_files()

## Synopsis

    mongoc_collection_t *
    mongoc_gridfs_get_files (mongoc_gridfs_t *gridfs);

## Parameters

gridfs | A mongoc_gridfs_t.

## Description

Retrieves the mongoc_collection_t containing the file metadata for GridFS. This instance is owned by the mongoc_gridfs_t and should not be modified or freed.

## Returns

Returns a mongoc_collection_t that should not be modified or freed.